# Froobtris

A Tetris clone written in TypeScript, targeted at web browsers.

A demo of this can be found at [alexanderbass.com](https://alexanderbass.com/show/2023/froobtris/play/)

![](screenshot.png)

## Building

[npm](https://www.npmjs.com/) must be installed.

Froobtris does not have any runtime dependencies however, TypeScript and Webpack are required as dev-dependencies.

To install dependencies:

```shell
npm i
```

To build:

```shell
npm run build
```

The built project will then be available in the [dist](./dist/) directory.

Alternatively, `npm run watch` will automatically rebuild whenever the source files are changed.

If you want to study the code, `index.ts` is the entrypoint.
